package com.chinacreator.process.job;

import java.sql.SQLException;
import java.util.List;

import org.apache.log4j.Logger;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.PersistJobDataAfterExecution;

import com.chinacreator.process.bean.CSftpBean;
import com.chinacreator.process.dao.CSftpDao;
import com.chinacreator.process.util.JsonUtil;

@PersistJobDataAfterExecution
@DisallowConcurrentExecution
public class CSnewFtpJob {
	
	private static Logger log = Logger.getLogger(CSnewFtpJob.class);

	public void doProcess() throws Exception {
		
	}
	
	public static void main(String[] args) throws SQLException {
		CSftpDao dao =new CSftpDao();
		List<CSftpBean> list =dao.queryByDay();
		for (CSftpBean cSftpBean : list) {
			log.info(JsonUtil.objectToJson(cSftpBean));
		}
	}
}
